%function [ output_args ] = all( input_args )
%ALL ̊֐̊TvɈړ
%   ڍאɈړ

f = logspace(-1, 4, 200)';

hbar=1.05457162027027e-34;
lambda=1064e-9;
L=3000;
ri=sqrt(0.996);
ti=sqrt(1-ri^2);
re=sqrt(0.99995);
rprm=sqrt(0.8);
tprm=sqrt(1-rprm^2);
rsrm=sqrt(0.77);
tsrm=sqrt(1-rsrm^2);

finesse=pi*sqrt(ri*re)/(1-ri*re);
c=2.99792458e8;
tau=2*L*finesse/(pi*c);
fcut=1/(2*pi*tau);
rcav = -ri+ti^2*re/(1-ri*re)
Gpower = (tprm/(1-rprm*rcav))^2

rsrc = ri - ti^2*rsrm/(1-ri*rsrm);
finesses = pi*sqrt(rsrc*re)/(1-rsrc*re)
taus=2*L*finesses/(pi*c);
fcuts=1/(2*pi*taus)
Gsr = finesse/finesses;

P0=75;
Pcavity = 2*finesse/pi*Gpower*P0;
%hshot = hbar*lambda/(2*L*fcut*Pcavity)*(fcut^2+f.^2);
hshot = hbar*lambda/(2*L*fcuts*Pcavity)*(fcuts^2+f.^2);


rho=4.0*10^3;                 % density [kg/m^3]
radius=12.5*10^(-2);            
height=15*10^(-2);            
%mass= rho*pi*radius^2*height; % Mass [kg] 
mass= 30; % Mass [kg] 

hradi=4/L./(mass*(2*pi.*f).^2)...
   .*sqrt(2*hbar.*Pcavity./(lambda*L*fcuts)./(1+(f./fcuts).^2));

%hradi=2/L./(mass*(2*pi.*f).^2)...
   %.*sqrt(2*hbar.*Pcavity./(pi*lambda*L*fcuts)./(1+(f./fcuts).^2));


fi = load('FINESSE/s.out');
th = load('Thomas/data1.dat');
op = load('loopnoise/results/optLCGT/500_SNR.txt');

figure(100)
loglog(fi(:,1),fi(:,2)*sqrt(2),'r');
hold on;
loglog(th(:,1),th(:,2)*L,'b');
loglog(op(:,1),op(:,3),'g');
loglog(f,sqrt(hshot)*L,'k');
loglog(f,hradi*L,'m');
%loglog(f,hradiw*L,'o');
grid on;

legend('FINESSE', 'Thomas (DC)', 'Optickle (RF)', 'theoretical shot', 'theoretical radiation' ,1)
title('LCGT BRSE, noloss, with radiation pressure')
xlabel('Hz')
ylabel('m/rtHz')

axis([0.1,1e4,1e-21,1e-14])

hold off;

